<?php


class Podbbang extends MY_Controller
{

    public function __construct()
    {
        parent::__construct();        
        $this->load->model('podbbangModel');
    }

    public function category() {
        $this->podbbangModel->updateCategory($this->input->post('id'), $this->input->post('category'));
        echo $this->db->affected_rows();
    }

    public function index()
    {
        $this->data = ['page' => $this->getPage(__FUNCTION__), 'categories' => []];
        $this->load->view('page', $this->data);
    }

    public function table()
    {
        $data = $this->podbbangModel->getTable(json_decode($this->input->raw_input_stream, true));
        // echo $this->db->last_query();
        $this->response($data);
    }

    public function delete()
    {
        $data = $this->restClient->deleteDeveloper(['developers' => array_column($this->input->post('selection'), 'id')]);
        $this->response(array(
            'code' => 200,
            'data' => []
        ));
    }

    public function update()
    {
        foreach ($this->input->post('selection') as $developer) {
            $this->restClient->updateDeveloper([
                'name' => $developer['name'],
                'description' => $developer['description'],
                'id' => $developer['id']
            ]);
        }
        $this->response(array(
            'code' => 200,
            'data' => []
        ));
    }

    public function save()
    {
        if ($this->restClient->saveDeveloper([
            'name' => $this->input->post('name'),
            'description' => $this->input->post('description')
        ])) {
            $this->response(array(
                'code' => 200,
                'data' => []
            ));
        } else {
            $this->response(array(
                'code' => 500,
                'data' => []
            ));
        }
    }

}
